tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Interface PubSubModule.NotificationCollectionChildrenChangedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PubSubModule

      public static interface PubSubModule.NotificationCollectionChildrenChangedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PubSubModule.NotificationCollectionChildrenChangedHandler.Action`
    `static class` | `PubSubModule.NotificationCollectionChildrenChangedHandler.NotificationCollectionChildrenChangedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onNotificationCollectionChildrenChangedReceived(SessionObject sessionObject, Message message, JID pubSubJID, String nodeName, String childNode, PubSubModule.NotificationCollectionChildrenChangedHandler.Action action, Date delayTime)`

- - ### Method Detail

    - #### onNotificationCollectionChildrenChangedReceived

          void onNotificationCollectionChildrenChangedReceived(SessionObject sessionObject,
                                                               Message message,
                                                               JID pubSubJID,
                                                               String nodeName,
                                                               String childNode,
                                                               PubSubModule.NotificationCollectionChildrenChangedHandler.Action action,
                                                               Date delayTime)

Copyright © 2006–2020 Tigase. All rights reserved.